curl --request GET \
--url 'https://sandbox.api.hopae.com/connect/v1/verifications/{verificationId}/evidence' \
--user '{clientId}:{clientSecret}'
{
"token": {
"id_token": "<BASE64_ID_TOKEN>",
"expires_at": "2025-10-31T05:43:14.000Z",
"access_token": "<OPAQUE_ACCESS_TOKEN>",
"token_type": "Bearer"
},
"names": "id_token;expires_at;access_token;token_type"
}
REST API
Get Verification Evidence
Returns the credential evidence object from provenance for a completed verification.
GET
/
verifications
/
{verificationId}
/
evidence
curl --request GET \
--url 'https://sandbox.api.hopae.com/connect/v1/verifications/{verificationId}/evidence' \
--user '{clientId}:{clientSecret}'
{
"token": {
"id_token": "<BASE64_ID_TOKEN>",
"expires_at": "2025-10-31T05:43:14.000Z",
"access_token": "<OPAQUE_ACCESS_TOKEN>",
"token_type": "Bearer"
},
"names": "id_token;expires_at;access_token;token_type"
}
Returns the credential evidence object from provenance for the given verification. Use Basic Auth.
Headers
string
required
Basic <base64(client_id:client_secret)>.Path Parameters
string
required
Verification session id.
Response
object
required
Provider-supplied token payload. Keys vary by credential; inspect
names to learn which fields are present.string
required
Semicolon-delimited list of keys present under
token (for example, id_token;expires_at;access_token;token_type).Example
curl --request GET \
--url 'https://sandbox.api.hopae.com/connect/v1/verifications/{verificationId}/evidence' \
--user '{clientId}:{clientSecret}'
{
"token": {
"id_token": "<BASE64_ID_TOKEN>",
"expires_at": "2025-10-31T05:43:14.000Z",
"access_token": "<OPAQUE_ACCESS_TOKEN>",
"token_type": "Bearer"
},
"names": "id_token;expires_at;access_token;token_type"
}
Providers can include any keys in the evidence token payload. Always rely on
names to iterate the available fields.
